ExpressionParser
Date: 2016-07-03

com.icl.saxon.expr

## Class ExpressionParser

- java.lang.Object
- - com.icl.saxon.expr.ExpressionParser

-     public final class ExpressionParser
      extends java.lang.Object

  Parser for XSL expressions and patterns. This code was originally inspired by James Clark's xt but has been totally rewritten (twice!)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Expression` | `makeSystemFunction(java.lang.String name)` Make a system function (one whose name has no prefix).
    `Expression` | `parse(java.lang.String expression, StaticContext env)` Parse a string representing an expression
    `Pattern` | `parsePattern(java.lang.String pattern, StaticContext env)` Parse a string representing a pattern

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionParser

          public ExpressionParser()

  - ### Method Detail

    - #### parse

          public Expression parse(java.lang.String expression,
                         StaticContext env)
                           throws XPathException

      Parse a string representing an expression
      Returns:
        an Expression object representing the result of parsing
      Throws:
        `XPathException`

    - #### parsePattern

          public Pattern parsePattern(java.lang.String pattern,
                             StaticContext env)
                               throws XPathException

      Parse a string representing a pattern
      Returns:
        a Pattern object representing the result of parsing
      Throws:
        `XPathException`

    - #### makeSystemFunction

          public static Expression makeSystemFunction(java.lang.String name)

      Make a system function (one whose name has no prefix). Note this is static and public so it can also be used from extension-function-available()